Subject: 23.1; Garbage collect problem

From: 杨英超 <[email-masked]>
Date: Fri, 8 Jan 2010 11:01:09 +0800 (CST)

This is emacs 23.1 on Windows XP.
May be the GC is not efficient enough. Sometimes it keeps trying to recollect
the memory, and makes Emacs seems dead (no response to keyboard and mouse
click). It will become normal after a long time waiting.

Best regards.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/gnu/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: CHS
  value of $XMODIFIERS: nil
  locale-coding-system: cp936
  default-enable-multibyte-characters: t

Major mode: Completion List

Minor modes in effect:
  display-time-mode: t
  show-paren-mode: t
  auto-image-file-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  yas/global-mode: t
  global-auto-complete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
S I _ S B C M-n M-n M-n M-n M-n <tab> SPC <backspace> 
1 0 SPC <help-echo> <help-echo> C-x o C-, C-v C-x o 
0 x 3 E <return> d e <backspace> <backspace> d i n 
<backspace> <backspace> e f i <tab> <tab> S C S I <tab> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> _ S <tab> <backspace> 6 C-e 
SPC C-p C-d C-q <tab> C-q <tab> C-n C-q <tab> 0 x 9 
E C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-b C-b 1 0 , SPC 7 , SPC 2 C-a C-SPC C-n M-w 
C-y C-p C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-d 6 C-f C-f C-d 1 2 C-x C-s <help-echo> <help-echo> 
<f3> { } , C-b C-b S C S I _ M-n M-n M-n <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
X D R <tab> C-M-/ C-M-/ 1 0 , SPC 7 , SPC 2 C-a C-SPC 
C-n M-w C-y C-p C-f C-f C-f M-f M-f M-f <backspace> 
<backspace> 3 2 C-f C-f C-d 2 8 C-f C-f C-d 4 C-x C-s 
<help-echo> C-p C-p C-p C-p C-p C-p C-p C-p C-a C-SPC 
C-n C-n C-n C-n C-n C-n C-n C-n C-n M-w C-y C-p C-p 
C-p C-p C-p C-p C-p C-p C-p M-% R E A D <return> W 
R I T E <return> y y y y y y y y y C-x C-s C-p C-p 
C-p C-p C-p C-p C-p C-p <help-echo> C-x o <help-echo> 
<help-echo> <menu-bar> <file> <open-file> <help-echo> 
<help-echo> <help-echo> M-x d o c <tab> - v i <tab> 
M-x <help-echo> <help-echo> <help-echo> <help-echo> 
M-x r e p o <tab> r <tab> <return>

Recent messages:
Replaced 9 occurrences
Saving file f:/tmp/cdb_info.c...
Wrote f:/tmp/cdb_info.c
Quit [2 times]
Making completion list...
Quit [3 times]
call-interactively: Command attempted to use minibuffer while in minibuffer
Quit [21 times]
Save Error: "Memory exhausted--use C-x s then exit and restart Emacs": d:/gnu/home/yyc/.emacs.d/semanticdb/!drive_f!projects!wireshark!wireshark!epan!dissectors!semantic.cache
Making completion list...